import os
from univention.udm import UDM

def _env_is_not_empty():
    """
    This function can be used to run tests only in an environment, which has no
    provisioned users, groups & ous.
    To overwrite this, set the environment variable FORCE2RUN_SKIPPED_TEST='1'.
    """
    udm = UDM.admin().version(2)
    num_provisioned = 0
    for entity in ["users/user", "groups/group", "container/ou"]:
        mod = udm.get(entity)
        num_provisioned += len(list(mod.search("(&(ucsschoolSourceUID=*)(ucsschoolRecordUID=*))")))
    if num_provisioned and not os.getenv('FORCE2RUN_SKIPPED_TEST') != '1':
        return False
    else:
        return True